# Interface UintValue

An unsigned integer value

#### Category

Elementary types

#### Hierarchy

- UintValue

- Defined in codec/lib/format/elementary.ts:46

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:53

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:48

### type

type: UintType

- Defined in codec/lib/format/elementary.ts:47

### value

value: {
asBN: BN;
rawAsBN?: BN;
}

#### Type declaration

- ##### asBN: BN

- ##### `Optional` rawAsBN?: BN

- Defined in codec/lib/format/elementary.ts:49

Generated using TypeDoc